<%= content_tag :div,
                class: "advanced-filters--filter-value #{value_visibility}",
                data: {
                  filter_autocomplete: true,
                  filter__filters_form_target: "filterValueContainer",
                  filter_name: filter.name
                } do %>
  <%= angular_component_tag autocomplete_options[:component],
                            inputs: {
                              inputName: "value",
                              multiple: true,
                              multipleAsSeparateInputs: false,
                              inputValue: filter.values,
                              appendTo: "body",
                              id: "#{filter.name}_value",
                              hiddenFieldAction: "change->filter--filters-form#autocompleteSendForm"
                              # Set on the template as there is a timing issue where the
                              # angular component is not yet ready in the DOM and hence
                              # the action can't be registered on the input field at the time
                              # of the #connect lifecycle hook of the filter--filters-form
                              # Stimulus controller.
                            }.merge(autocomplete_options.except(:component))
  %>
<% end %>
